%
% This program computes the inverse cdf of the mininimum eigenvalue of W_m(n,I_m).
%
function x = wisheigminicdf(p,m,n)
x = zeros(size(p));
for i=1:numel(p)
    if p(i)==0
       x(i) = 0;
    elseif p(i)==1
       x(i) = Inf;
    else
       [mu,mu2] = wisheigminmom(m,n);
       stdev = sqrt(mu2-mu^2);
       init = max(0,mu+norminv(p(i))*stdev);
       x(i) = fzero(@(y) wisheigmincdf(y,m,n)-p(i),init,[]);
    end
end
