%
% This program computes the first two moments of the the smallest eigenvalue of W_m(n,I_m).
%
function [y1,y2] = wisheigminmom(m,n)
y1 = integral(@(x) x.*wisheigminpdf(x,m,n),0,Inf,'AbsTol',1e-10,'RelTol',1e-10);
y2 = integral(@(x) x.*x.*wisheigminpdf(x,m,n),0,Inf,'AbsTol',1e-10,'RelTol',1e-10);
